<p align="center">
  <img src="https://github.com/open-stage/blender-dmx/assets/3680926/c7a8e6c5-786f-4f7b-88f5-374b8cb9e51e" />
</p>

# [BlenderDMX](https://blenderdmx.eu)

https://blenderdmx.eu

A DMX visualization tool inside <a href="https://blender.org">Blender</a>, designed to offer a free, easy and fully packed solution for Lighting Designers. Device definition is based on <a href="https://gdtf-share.com">GDTF Specification</a>, utilizing the Fixture library on <a href="https://gdtf-share.com">GDTF Share</a>. GDTF import is based on <a href="https://github.com/open-stage/python-gdtf">pygdtf</a> - Python GDTF library, <a href="https://gdtf-share.com">MVR</a> scene import is based on <a href="https://github.com/open-stage/python-mvr">pymvr</a> - Python MVR library. For more GDTF/MVR resources and news see <a href="https://gdtf.eu">GDTF.eu</a>.

![](https://i.ibb.co/rvpKYxB/render-eevee-7.png)

## Installation

Make sure you have [Blender](https://www.blender.org/download/), latest version 4.2 is recommended, minimal version is 3.4.

Go to [DOWNLOAD PAGE](https://blenderdmx.eu/download).

## How to Use

For details on how to use the Addon, check our [Docs/FAQ](https://blenderdmx.eu/docs/faq/).

Check the demonstration video:
[demonstration video](https://www.youtube.com/watch?v=uzZQhcqSjS4)

We also have a `Discord` server for sharing knowledge: [discord server link](https://discord.gg/FQVVyc45T9)

## Donate

> Initially, Hugo, who originally started the BlenderDMX project, put a donation link here. We keep it below for Hugo, if you like to support him. Currently there is no donation link for the project itself.

I've put months of effort into this project, and it will always be free and
open source. If it helps you, please consider donating:

- Fiat: [![Donate](https://img.shields.io/badge/Donate-PayPal-green.svg)](https://www.paypal.com/donate/?hosted_button_id=K2DRRKRFE583J)
- Bitcon (BTC only): 1BApp5s16pEPk5oECtJJ7G8iYmbj7r2YrG
- NFTs (Tezos): https://hicetnunc.art/lisorius

Thank you.
